Introduction

QuickZip

Do you want to transfer files to friends, need to group "tons" of small files to a big one? Then you should try this utility. QuickZip is one of the zip tools available on the Web that allows you to create, extract or test all kinds of zip archives, you can even turn it into an executor so your friend can just extract it by clicking on it. Moreover, it provides some extended features like being able to open and manage a lot of zip files all at once and a quick launch toolbar. And yes... QuickZip is a freeware!


Whatsnew

Whats new in 1.80

  • Support Bz2, Gza, Bza (14 totally)
  • Quick Directory Combo in extract menu
  • Context menu now show as sub-menu.
  • Context menu showing zips contents, which allow opening a file(e.g. readme.txt) without opening quickzip
  • New Main Popupmenu with Vertical bar and new icons
  • Enhanced INST builder, which created smaller setup(23k) with more functions(e.g. uninstall)
  • Progress bar for all sfx stub, new INST stub
  • Show total used time, and time remaining for operations.
  • MMViewer which support 24 formats, able to set volume correctly
  • DirView now show the total num of directory in archive fixed add/extract menu sometimes not show on top fixed not loading .gz archives
  • fixed total filesize not update fixed a bug that file list not refreshing
  • fixed crash when loading multi-volumed rar
  • fixed wrong date when using internal e-mail(Y2K1 Bug)
  • Updated translation, French translation

Whats new in 1.70


Features

Some Software has its special features, and other software is popular because it is easy to use, I installed a sum of different zipware, copied their features and added mine, that's QuickZip. (I am not making toys, QuickZip is a tool that provides what users need.)

Features:

Basic functions (the functions you can find in normal zipware):

  • Open, Extract.
  • Add, Delete, Test.
  • Checkout, Install.
  • Creating SFX, INST Convert SFX to Zip.
  • Drag and Drop. (Add/Extract).
Advanced:
  • Internal E-mail Client.
  • Repair Zip Files.
  • Spanning Zip files.
  • Print File Contents.
  • Extract other kind of archives (currently RAR/LZH/TAR/CAB format).
Open multiple files, (Select multiple zip file on the open dialog, QuickZip will then load all of them).
Quick Launch, e.g. load a notepad for a specific file.
Internal file Viewer: it does not open another program to let you view it, QuickZip includes them inside the program.
Setting password list, you can set 3 passwords so you don't need to type them again and again.
Use Comment as password, you may set the comment as password, so you don't have to remember it again.


Install

Click the Setup.exe and follow the instructions.

Warning:

If you uninstall an old version after installing a new version, all registry information may be cleared, if the screen is completely black when you start QuickZip, go to Option, Interface then press Reset, this problem may be solved later. (This should be solved since 1.50)

If you want to set QuickZip as the default archiver, go to Option, Shell, Associate

Uninstall:

Start - Settings - Control Panel - Add/Remove Programs - QuickZip.


Interface

Function Panel -
The icon bar with icons like New, Open, etc.
It provides simple functions like New Open/Extract/Add /Test, there are more functions if you press the Extract and Add/Delete.

File List -
The white part on the right side of Function panel.
It shows the contents of an archive, it shows their filename, filetype, filedate, file size, file ratio. To select a file, simply click on it, to select more than one file, hold Shift then drag on it.

Quick launch -
The small "V" on the status bar.
When you press the V button, QuickZip will open the Progress and MM viewer. (Progress viewer shows the current progress when you are extracting etc...)(When you click on the file list, the MM Viewer will Load text, sound, movie, picture).

Progress Bar -
The bar with percentage in the center.
Shows the Current progress.

Archive type -
The first column of the bottom bar.
It shows what kind of archive you are currently opening, if the files need a password, if the archives have comment, and if they have an install file. Archive informationi - The number of files you selected and the size, how many files the archive contains and the total size of all the files.

Opened Archive -
The third column of the bottom bar.
Shows how many archives you opened, and which archives you opened.

Halt Button -
A button with caption "Stop!!"
It lets you stop the current progress.


openarchive

The first step of Extracting a file is to Open a file, the first step of Adding a file is to Open a file.
You must learn how to open a new file before you proceed.

To open an archive:

See Interface if you cannot find any item.

  1. Press Archive (1 on function panel) and then Open.
  2. An Opening dialog opens, select the archive you want to open, and press Open.
  3. Once opened, the archive shows the contents of the file. (Another way is to drag an archive from explorer to function panel.)
To create a new archive :

See Interface if you cannot find any item.
  1. Press on function panel.
  2. New... dialog opens, pick a name for your archive, and press Open.
  3. Done, an empty archive is now ready to Add.


Extract

Extract file is the most inportant function of QuickZip, let me show you how easy it is to extract a file in QuickZip.

To Extract files:

See Interface if you cannot find any item.

  1. Open an existing archive (See: Open an archive.)
  2. Press Extract button
  3. Another dialog pops up, fill in (or select) where you want to extract, then press OK.


To add files

See Interface if you cannot find any item.

  1. Open an existing archive
  2. Press Add button
  3. Another dialog pops up, select and tick the file you want to add.


delete

Deleting files from an archive

 So you added a wrong file?

Quickzip provides a delete option to remove it, just remember there's no undo function for delete, once gone, it will be gone forever!

To Delete files:

See Interface if you cannot find any item.

  1. Select the file you want to delete in the file list.
  2. Press Del button.
  3. Answer Yes to confirmation dialog. That's it!


Test archive

To Test an archive:

See Interface if you cannot find any item.

  1. Open an existing archive.
  2. Press Test button on Function panel.


checkout

If you want to extract all files in a temp folder, checkout is the function you want.

To check out

See Interface if you cannot find any item.

  1. Open an existing archive.
  2. Press Extract tab in function panel (not the extract button).
  3. Press Checkout, then Quickzip will generate files and open the temp folder.


self extracting

 If your friend does not have zipware (or you are not sure he has), you can convert any zip to a SFX (Self extracting module), which can extract itself.
Quick Zip provide a INST builderr for creating INST package too.

Create SFX:(using one step sfx)

See Interface if you cannot find any item

  1. Press Extract tab in function panel (not the extract button).
  2. Press Create SFX , then the SFX dialog pops up,
  3. Press One Step SFX
  4. fill in the ZIP/SFX , Extract to, Wellcome Message and SFX Caption
  5. Press Convert SFX and an SFX will be created

Create INST package:

  1. Press Extract tab in function panel (not the extract button).
  2. Press Create SFX , then the SFX dialog pops up,
  3. Press Install Builder
  4. Select Source, either pick a zip file, or add the files using Add more files.
  5. Press Next
  6. Select Destination, Press New Folder to add all folder required,
    then use the arrow button to link the source files to folders.
  7. Press Next
  8. Change Setting, Fill in the product name, you can change the
    Registry, Program Group, Uninstall and Tub.
  9. Press Next
  10. Select the inffile name and Deploy location.
  11. Press Create and a setup package will be created


more zip functions
(All in "function panel")

Copy Zip -
Copy the zip file to another directory.

Remove Zip -
Delete the zip.

Rename Zip -
Rename a zip file to another directory.

Show Comment -
Show the zip comment.

Change Comment -
Lets you change the comment.


disk spanning

 So your files are too big for your diskette and you want to span them? (Spanning = spreading the contents of file(s) over 2 or more floppies.) Don't worry, Quickzip supports disk spanning.

To Span an archive:

See Interface if you cannot find any item
  1. Open an existing archive.
  2. Press Tools tab on Function panel.
  3. Press Disk Span and a new dialog opens.
  4. Select where you want to place your span and the size of each span, then select span.
  5. Span will be created.

To Read a Span :

Open the Last archive, that's it.


batch zipping

 If you want to zip a directory of files where each file has its own zip, it is called batch zipping. Here are the instructions:

Batch Zipping procedure:

See Interface if you cannot find any item

  1. Press Add/Delete tab on Function panel.
  2. Press Batch Zipping and a new dialog will open.
  3. Tick the file you want to zip.
  4. Press OK.


repair

 To Repair an archive:

See Interface if you cannot find any item
  1. Open an existing archive.
  2. Press Tools tab on Function panel.
  3. Press Repair and a new dialog will open.
  4. Select where you want to place the repaired archive files, then press Repair.
  5. Quickzip will attempt to repair it.


email archives

 To E-mail archives:

See Interface if you cannot find any item
  1. Setup your config in Mail.
  2. Press Tools tab on the Function panel.
  3. Press E-mail and a new dialog will open.
  4. Fill in the receiver, subject, file to send and message.
  5. Press Send and Quickzip will start to mail it.


print file list

To Print file list:

See Interface if you cannot find any item

  1. Open an existing archive
  2. Press Tools tab on Function panel.
  3. Press File List , then the file list will pop out, ready to be printed.
    4.


print file list

Quick Zip and Shell

There are two options under Option, General, they are Shell Association and Shell Integration.

  • Shell Association will make QuickZip the default program to open archives.

  • Shell Integration adds the following shell commands:

  1. Right-click on empty space, New, QuickZip archives will create a new empty archive.
  2. Right-click on a folder and select add to foldername.zip, QuickZip will add the folder to their folder name + .zip (e.g. C:\temp will become C:\temp.zip).
  3. Right-click on a folder and select add to QuickZip and QuickZip will open and let you pick a zip name.
  4. Right-click on an archive file and select extract to..., a folder select dialog will open, and you can select where to extract to.


QZ Script

 QuickZip Script

QuickZip Script is a text file that loads with commands, QuickZip will execute the commands, one by one, currently there are 3 commands available.

OPEN+zipname.zip - use this to open a zip file.

EXTR+*.*+C:\temp - means: extract everything to C:\temp.

ADD+C:\temp\*.* - means: add all files to C:\temp.


general

Go to: Options, General

  •  Always On Top - if this is ticked, QuickZip will always be the topmost on the screen.
  •  Delete temp file when closing Quickzip - Remove the temporary file when closing.

  • Default Open Directory : Set the Default open directory.
  • Default Extract Directory : Set the Default Extract directory.
  • Default Add Directory : Set the Default Add directory.
  • Set as Default Program : Set QuickZip as the default program to handle the "ticked" archive.
  • Remove Association : Remove the Association.
  • Set Integration on Shell : Set the shell command.
  • Remove integration : Remove the shell command.

    See Quick Zip and Shell for more detail.


interface custom

 Go to: Options, Interface

 Tool Bar
Background: background bitmap for the toolbar.
Background Color: background color of the toolbar.
Font color: toolbar font color.

Progress Bar
Progress Color: color of progress bar.

File List
Background Color: background color of the file list.
List font color: font color of the list.

Font
File List : file list font.

Reset: resets the interface.


viewer

Go to: Options, Viewer

The following files open with Viewer as TXT format : (seperate by ',' comma)
Complete its extension to make Quickzip read them as text file.

Viewer 1- 4 : Set your viewer for the quick launch bar (you can set virusscan support too).

Password 1- 3 : Set default password, they will be tested before asking you the password.


mail

Go to: Options, Mail

Host : The mail server name.
Port : The mail server port.
User ID : Your ID in mail server.
Your name : Your name.
Your e-mail : Your e-mail.
Signature : Your Signature.


Credit0

Main Author : Joseph Leung
ICQ : 713179
E-mail : lycj@hongkong.com

* Created with Borland G Delphi 4 Delphi5

WinHelp file Maintained by:
John Van Uytven
 johnstaybank@eircom.net

Logo Designed by :
Project 5
 http://come.to/project5


Credit1

 Translation :

Czech by Pavel Mondschein
http://cestiny.polis.cz

Dansk by Jens Mortensen
Jens@teacher.com

Deutsch by Marcus Meyr
Marcus@Meyr-online.de

Magyar by Dodi
dodifords@freemail.hu

Nederlands by Project 5
http://come.to/project5

Potuguese/Potuguês by Paulo Neto
company@layout.com.br

Русский by Kirill Voloshin
http://arctest.cjb.net


Credit 3rdparty

3rd Party(1.70):

ZipMaster by Chris Vleghert
http://www.geocities.com/SiliconValley/Orchard/8607/

dAce, dRar by Rogier Timmermans
http://rtimmermans.webjump.com

Cmarc by NORG1964
http://www.ceres.dti.ne.jp/~norg1964

Common Archive Pack by:
http://www.csdinc.co.jp/archiver/index-e.html

Wave Control by John Mogensen
JMogensen@Web4you.dk

Raize List Pack by Raize Software Solutions
http://www.raize.com (Freeware after you register D5)

LMD-Tools by LMD Innovative
http://www.lmd.de (Come with D5Prof Companion CD)

Drag and Drop Components by UnitOOPS
http://www.unitoops.com/ (Come with D5Prof Companion CD, special thanks for the help from their high quality tech support)

FlatStyle by Maik Porkert
http://www.flatstyle.de/

RxLibrary by
http://www.rxlib.com

GXOutlookbar by GExperts
http://gexperts.com/

dfsStatusbar by Delphi Free Stuff
http://www.delphifreestuff.com/

Winshoes Indy by Winshoes Working Group
http://www.pbe.com/SourceWorks/Winshoes/

LsFileExplorer by Leo D. Shih
ldshih@ecn.ab.ca

TFavopenDialog by markus stephany
http://home.t-online.de/home/mirbir.st/

Eltree by EldoS software
http://www.eldos.org/eltree/eltree.html

SFXmakerUtils by
http://sfxmaker.cjb.net


BugReport

Bug reporter:

Todd

Special thanks:

Ben Thomas
Stanislav Zakrjevsk
Dave Froehlich


update2000

10-23-99 Start Developing.
10-27-99 Ver 1.1 Open/Extract/Add Done.
10-31-99 Ver 1.1.1 Load Zip file at command line, saving infomation to ini-files.
11-03-99 Ver 1.1.2 Added Self Extracting and Extracting now create directory if it doesn't exist.
11-06-99 Ver 1.1.3 Working for low 640-480 resolution now. Using registry instead of ini-files.
11-08-99 Ver 1.1.4 You can use password now.
11-10-99 Ver 1.1.5 Directory now shown as <, no longer blank, did some modifying on Self extracting module,
you can now associate zip file to QZip. Added some icons.
11-12-99 Ver 1.1.6 Centered all the windows and changed some. Icon Associate now adds icon correctly.
11-12-99 Ver 1.1.7 Fixed Progress Bar.
11-18-99 Ver 1.1.8 Always on top options, more support on password, extract now supports folder
11-19-99 Ver 1.1.9 Progress Bar changed, changeable Color of some parts.
11-22-99 Ver 1.1.10 Added icon header for each file (tnx lh), fixed some bugs.
11-23-99 Ver 1.1.11 Rewritten program, fixed a lot of bugs. (Password may not be working yet =(
11-26-99 Ver 1.1.12 Drag & Drop (Add) support
12-05-99 Ver 1.1.13 Password working now (tnx Chris Vleghert remind me), you are allow to sort the list now
12-06-99 Ver 1.14 Able to Extract files with path, (New DelZip version DLL able to mask password now)
12-08-99 Ver 1.15 Halt button to stop extracting, Able to test/execute files with path (forgot to change those infos)
12-10-99 Ver 1.16 Drag & Drop support for Add (Directory, Files) and Extract (Files).
Options for SFX, Quicker Sorting, New File list
12-21-99 Ver 1.17 Open Multiple files (not totally support), new filelist for extract and add, new icon, drop file support sub-directory.
12-23-99 Ver 1.18 Some small fixes (make it look smaller..)
12-24-99 Ver 1.18a Bug fix: file dragging(Extract) and those option on add/extract menu
12-27-99 Ver 1.19 Extract now creates nested directory if it doesn't exist. Drag 'n Drop (Extract) is working for Directory ~~, Password List (Unsecure), remove ZIP.


update2000

00-00-00 Ver 1.21 {not released} Bug fix: Extract Add on Menu, Extract All and Extract Selected removed, select zip dialog removed (you can select zip inside the "extract/add/zip2exe dialog etc")
01-01-01-2K Ver 1.19a Bug fix: Password list, Action menu, File Date and time now on same row, new FileType row, extract 'overwrite' bug.
01-15-2K Ver 1.19b Extract now saves list, zip re-opens list, bundle new zip/unzip dll, View Comment, icon fix in file view (all in same size now), now able to add unlimited level of sub-directories. Select default Open/Extr/Add Directory.
01-18-2K Ver 1.19c Bug fix: Extract forgot to update the default opening directory.
01-29-2K Ver 1.20 Internal Viewer for graphic (jpg, gif, bmp), sounds (wav, mid), and movie( mov, avi) (and txt/rtf)
01-30-2K Ver 1.20 I add the change comment and modify the zipsfx before i upload to simtel.net
02-25-2K Ver 1.30 RAR/CAB support (Read only =P), Rename/Copy Zip finally added, show icon zip,rar,cab,havepassword,havecomment) in status bar, Disk spanning (very basic.. will enhance), Can Open Destination folder after extract, can set comment as password, del everything include directory when closing qzip, changed the add menu, more function on extract, sfx icon changeable, Minor modifications, new icon, you can now add a folder to zip by right-clicking on a folder/add to qzip/, preparing help files (in html format). fixed the wrong order of (Move files/Refresh files etc)
03-28 -2K Ver 1.31 Mail, Repair, better shell handling, WinHelp files.
05-01-2K Ver 1.40 BatchZiping, Scripting, Additional options on Extract and add menu, Options to enable or disable shell extension, password remover, translation moudle, SFXmaker support
06-07-2K Ver 1.50 Extract ARJ/LZH/TAR archive (now ARJ/CAB/LHA/LZH/RAR/TAR/TAR.GZ/TGZ/ZIP/ZIPSFX) reuse window, loading time (starting time) halfed, activity log, add "test archive" to shell, new command DEL/SFX for qzip script
07-11-2K Ver 1.60 Directory View, Bookmark, Passwordlist New Icons, Shell extentions, Included Zipscan in package, New about dialog.
10-17-2K Ver 1.70 Extract ACE archive, (now ACE/ARJ/CAB/LHA/LZH/RAR/TAR/TAR.GZ/TGZ/ZIP/ZIPSFX) New Design to all dialogs, MMViewer support Html files, Built in Translation, Start up time shorter, Delay Adding/Extracting, New SFX mode supported.
01-30-2K1 Ver 1.80 Extract BZ2, GZ2, GZA archive (now ACE/ARJ/BZ2/CAB/GZ2/GZA/LHA/LZH/RAR/TAR/TAR.GZ/TGZ/ZIP/ZIPSFX), new context menu, listing zip files in context menu, main popupmenu show 'QZIP! 1.80 sign, better Directory Combo in extract menu, prevent crash in folder loading, many update to INST builder, MMViewer support 25 formats, showing time remaining, progress bar for SFX package.


core

The Improvement of each "Core".
1.0 - 1.20 - Use a procedure for each function.
Pros.
Easy to write.
Cons.
Hard to control,
lots of wasted coding.
(Same coding but I have to write it again and again).
1.30 - 1.60 - Use a single procedure to hold all functions, and those button just calling them by: Process (Open), the core is linked to mainform, so the core fill the file list/folder list etc.
Pros.
Much less coding, code reuse.
Cons.
The Main process function becomes too big (Hard to maintain).
1.70 - The core is moved to another unit, the core no longer linked with the mainform, its mainform calls the core's function then grabs the data from core and fills, this encourges reuse of components (e.g. the file content box when opening zip. If I was using the old core I would have to write the same code again).
Pros.
Able to display the filelist (with icon) on the form beside main one.
Multi-thread is possible now.
Cons.
Same as last core.


openarchive

Index
Quick Zip Y2K
Introduction
Features
Sign my guestbook
Install/Uninstall
How to use?
Interface
Open an existing archive
Extract files from an archive
Add file to an archive
Delete files from an archive
Testing an archive
Checkout
Install
Create SFX (Self extracting Module)
More Zip functions
Disk Spanning
Batch Zipping
Repair Archives
E-mail Archives
Printing file list
Quick Zip and Shell
Quick Zip Script
Config your Quick Zip
General
Viewer
Interface
Mail